<?php 
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
add_event_handler('render_element_content', 
    array('Front2Back', 'Front2Back_content'), 99, 2 );

class Front2Back
{
  function Front2Back_content($content, $image)
  {
    global $template, $lang, $user, $conf;
    /* Default values */
    if (!isset($lang['Front2Back'])) $lang['Front2Back'] = 'See back'; 
    if (!isset($conf['Front2Back_dir'])) $conf['Front2Back_dir'] = 'verso/'; 
    if (!isset($conf['Front2Back_vshift'])) $conf['Front2Back_vshift']= 16;
    if (!isset($conf['Front2Back_hshift'])) $conf['Front2Back_hshift']= -28;
    if (!isset($conf['Front2Back_parent'])) $conf['Front2Back_parent']= 'thumbnail/';
    if (!isset($conf['Front2Back_path'])) $conf['Front2Back_inside']= true;
      else $conf['Front2Back_inside']= false; 
    
    /* Build reversal parms and filename */ 
    if ( $conf['Front2Back_inside'] ) {
      $verso = substr( $image['path'],
                0, strrpos( $image['path'], '/' )+1 )
                . $conf['Front2Back_parent'] . $conf['Front2Back_dir'];
    }
    else {  /* example: 
      $conf['Front2Back_path'] = PHPWG_ROOT_PATH;
      $conf['Front2Back_parent'] = 'front2back/';
      $conf['Front2Back_dir'] = '';
      */
      $verso = $conf['Front2Back_path']
                . $conf['Front2Back_parent'] . $conf['Front2Back_dir'];
    }
    $verso.= $image['file'];
    $height = @$image['scaled_height'];
    $width = @$image['scaled_width'];
    $shift_left = (int) ($width / 2) + $conf['Front2Back_hshift'];
    $shift_up = $height  + $conf['Front2Back_vshift']; 
    $rotat = substr($verso,0,-4).'-r'.substr($verso,-4); // extension .jpg 4car.
    $template->set_filenames(
      array('Front2Back' => dirname(__FILE__) . '/Front2Back.tpl') );

    $template->assign(array('F2B_PATH' => F2B_PATH));
    if (is_file($verso)) {
      $template->assign(
        'verso',
         array(
           'VERSO_URL' => $verso,
           'WIDTH_IMG' => $width,
           'HEIGHT_IMG' => $height,
           'HSHIFT_IMG' => $shift_left,
           'VSHIFT_IMG' => $shift_up,
         )
       );
    }
    elseif (is_file($rotat)) {           /* Is there a rotated file ? */ 
      $shift_left = (int) ($height / 2) + $conf['Front2Back_hshift'];    
      $template->assign(
        'verso',
         array(
           'VERSO_URL' => $rotat,
           'WIDTH_IMG' => $height, /* Swap width/height */
           'HEIGHT_IMG' => $width, /*   ""        ""    */
           'HSHIFT_IMG' => $shift_left,
           'VSHIFT_IMG' => $shift_up,
         )
       ); 
    }
    else return $content;
    return $content . $template->parse('Front2Back', true);    
  }  
}
?>
